const __vite__mapDeps=(i,m=__vite__mapDeps,d=(m.f||(m.f=["assets/index-DMcjh-Fp.js","assets/index-9PRMimni.js","assets/index-CZ_CrH4_.css","assets/BasicForm-dL_oCSPM.js","assets/Render.vue_vue_type_script_lang-DKUYY0Zw.js","assets/SingleImageUpload-CNx4b9eC.js","assets/ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js","assets/componentSetting-DVhNDBTO.js","assets/ImageUpload-2O79x_Q-.css","assets/ImageUpload-DUsnro3W.js","assets/vuedraggable.umd-Co2xEC3p.js","assets/BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js","assets/BasicUpload-q2aOClOy.css","assets/tabsView-BXskTdVh.js","assets/BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js","assets/propTypes-CebMRUpe.js","assets/BasicForm-foIylFd_.css","assets/BasicSelect-C_uwzMkE.js","assets/BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js","assets/BasicSelect-DteQK1Vf.css","assets/dictionary-BRse4lkf.js","assets/index-DkvzUEqh.js","assets/index-kKnqLkWM.js","assets/AutoComplete-Dv1Bqed4.js","assets/TreeSelect-BZh2DeCh.js","assets/template-rpthWlT9.js","assets/useForm-CKmgcynv.js","assets/usePageCache-DluHn7Yy.js","assets/index-6i_rE6dJ.js","assets/Table-0PViRYCf.js","assets/Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js","assets/componentMap-CElCaWis.js","assets/format-DgF6KtHk.js","assets/omit-B2_8Y6O_.js","assets/_flatRest-DBrd2CHT.js","assets/flatten-DeoUZLdb.js","assets/Table-Dcnz4X4a.css","assets/print-CT_2hrjP.js","assets/basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js","assets/basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js","assets/basicModal-DbyYhys_.css","assets/useModal-CO65vga3.js","assets/useTimeout-BxFilWvD.js","assets/Flex-CTSf12gq.js","assets/index-_QbQ4wjK.js","assets/index-ZdeHas_u.js","assets/index-DX1WCm3W.js"])))=>i.map(i=>d[i]);
import { d as S, e as M, f as N, V as j, r as i, a4 as H, a as W, ay as z, ec as r, aw as G, d9 as K, c as u, o as m, w as e, j as t, W as U, H as X, B as $, p as k, ds as F, l as s, T as J, ca as Q, D as Y, aE as Z, A as ee, X as te, br as l, __tla as __tla_0 } from "./index-9PRMimni.js";
import { _ as oe } from "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import { T as ae } from "./tabsView-BuQA2jOW.js";
import { E as ne } from "./template-rpthWlT9.js";
import { B as se } from "./Table-0PViRYCf.js";
import { u as ie } from "./useModal-CO65vga3.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./element-resize-detector-D6t9qRKJ.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./index-kKnqLkWM.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./componentMap-CElCaWis.js";
import "./propTypes-CebMRUpe.js";
import "./format-DgF6KtHk.js";
import "./omit-B2_8Y6O_.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./print-CT_2hrjP.js";
import "./componentSetting-DVhNDBTO.js";
import "./useTimeout-BxFilWvD.js";
import "./usePageCache-DluHn7Yy.js";
import "./tabsView-BXskTdVh.js";
import "./Flex-CTSf12gq.js";
let Ie;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })()
]).then(async ()=>{
    Ie = S({
        __name: "index",
        setup (re) {
            const y = {
                general: r(()=>l(()=>import("./index-DMcjh-Fp.js").then(async (m)=>{
                            await m.__tla;
                            return m;
                        }), __vite__mapDeps([0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27]))),
                rootAnalysis: r(()=>l(()=>import("./index-6i_rE6dJ.js").then(async (m)=>{
                            await m.__tla;
                            return m;
                        }), __vite__mapDeps([28,29,1,2,30,10,4,31,15,32,33,34,35,36,37,38,39,40,41,7,42,27,13,43,25,22]))),
                action: r(()=>l(()=>import("./index-_QbQ4wjK.js").then(async (m)=>{
                            await m.__tla;
                            return m;
                        }), __vite__mapDeps([44,29,1,2,30,10,4,31,15,32,33,34,35,36,37,38,39,40,41,7,42,27,13,43,25,22]))),
                attachments: r(()=>l(()=>import("./index-ZdeHas_u.js"), __vite__mapDeps([45,3,4,1,2,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27]))),
                review: r(()=>l(()=>import("./index-DX1WCm3W.js").then(async (m)=>{
                            await m.__tla;
                            return m;
                        }), __vite__mapDeps([46,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27])))
            }, w = M(), p = N(), { t: a } = j(), [C, {}] = ie({
                title: a("hsqe.deficiency.historicalRecords"),
                closable: !1,
                maskClosable: !0,
                width: 680,
                subBtuText: a("common.okText"),
                cancelText: a("common.cancelText")
            }), D = [
                {
                    title: "Reviewed By",
                    key: "username"
                },
                {
                    title: "Reviewed Date",
                    key: "operateTime"
                },
                {
                    title: "Status",
                    key: "displayStatus"
                },
                {
                    title: "Review Comments",
                    key: "comment"
                }
            ], V = i(), b = i(), d = i("general"), n = i("general"), g = i(), R = i(), A = H(()=>[
                    {
                        label: "General",
                        value: "general",
                        compPage: "general"
                    },
                    {
                        label: a("hsqe.deficiency.rootAnalysis"),
                        value: "rootAnalysis",
                        compPage: "rootAnalysis"
                    },
                    {
                        label: a("hsqe.auditInspection.vesselInspection.shipVisitReport.deficiencyReport.tabAction"),
                        value: "action",
                        compPage: "action"
                    },
                    {
                        label: a("hsqe.auditInspection.vesselInspection.shipVisitReport.deficiencyReport.rabAttachments"),
                        value: "attachments",
                        compPage: "attachments"
                    },
                    {
                        label: "Review",
                        value: "review",
                        compPage: "review"
                    }
                ]), _ = W({
                tabsList: A.value,
                collapsed: !1,
                activeKey: "general"
            });
            z(()=>n.value, (o)=>{
                console.log("watch currentTab", o), y[d.value] && (g.value = y[d.value]);
            }, {
                immediate: !0
            });
            async function E() {
                console.log(p.query.id), b.value = p.query.isEdit;
            }
            function P(o) {
                n.value = o.value, d.value = o.compPage || "general";
            }
            function x() {
                w.back();
            }
            const I = async ()=>{
                const o = await ne({
                    busId: p.query.id,
                    moduleCode: "approveDeficiency"
                });
                return {
                    list: o,
                    total: o.length
                };
            };
            function B() {
                (n.value == "general" || n.value == "rootAnalysis" || n.value == "action" || n.value == "attachments") && R.value.submit();
            }
            return G(()=>{
                E();
            }), (o, c)=>{
                const T = $, h = X, f = U, q = oe, L = te, O = K("debounce");
                return m(), u(L, null, {
                    default: e(()=>[
                            t(f, null, {
                                default: e(()=>[
                                        t(h, {
                                            justify: "end"
                                        }, {
                                            default: e(()=>[
                                                    t(T, {
                                                        type: "primary",
                                                        "icon-placement": "left",
                                                        onClick: x
                                                    }, {
                                                        default: e(()=>c[1] || (c[1] = [
                                                                k("Back")
                                                            ])),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        })
                                    ]),
                                _: 1
                            }),
                            t(f, {
                                bordered: !1,
                                class: "mt-3 py-3 proCard",
                                size: "small",
                                segmented: {
                                    content: !0
                                },
                                "content-style": "padding: 20px 15px 0 15px;"
                            }, {
                                default: e(()=>[
                                        t(ae, {
                                            modelValue: s(_),
                                            "onUpdate:modelValue": c[0] || (c[0] = (v)=>F(_) ? _.value = v : null),
                                            onChangeTab: P
                                        }, null, 8, [
                                            "modelValue"
                                        ]),
                                        t(J, {
                                            name: "slide-fade",
                                            mode: "out-in"
                                        }, {
                                            default: e(()=>[
                                                    (m(), u(Q(s(g)), {
                                                        key: s(n),
                                                        ref_key: "currentComponentRef",
                                                        ref: R
                                                    }))
                                                ]),
                                            _: 1
                                        })
                                    ]),
                                _: 1
                            }),
                            t(f, {
                                bordered: !1,
                                class: "mt-3 proCard"
                            }, {
                                default: e(()=>[
                                        s(b) ? (m(), u(h, {
                                            key: 0,
                                            justify: "end"
                                        }, {
                                            default: e(()=>[
                                                    Z((m(), u(T, {
                                                        type: "primary"
                                                    }, {
                                                        default: e(()=>[
                                                                k(ee(s(a)("common.optionsSubmitText")), 1)
                                                            ]),
                                                        _: 1
                                                    })), [
                                                        [
                                                            O,
                                                            ()=>B(),
                                                            "1000"
                                                        ]
                                                    ])
                                                ]),
                                            _: 1
                                        })) : Y("", !0)
                                    ]),
                                _: 1
                            }),
                            t(q, {
                                onRegister: s(C),
                                ref: "modalRef"
                            }, {
                                default: e(()=>[
                                        t(s(se), {
                                            columns: D,
                                            request: ()=>I(),
                                            "row-key": (v)=>v.id,
                                            ref_key: "basicTableRef",
                                            ref: V
                                        }, null, 8, [
                                            "request",
                                            "row-key"
                                        ])
                                    ]),
                                _: 1
                            }, 8, [
                                "onRegister"
                            ])
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { Ie as default, __tla };
